---
- name: Set storage volume test variables
  set_fact:
    _storage_volume_tests: # fs: type, label  device: name, type, disks
      - mount
      - fstab
      - fs
      - device
      - encryption
      - md
      - size
      - cache
  # future:
  #   device:
  #     compression
  #     deduplication
    _storage_test_volume_present: "{{ storage_test_volume.state == 'present' and (storage_test_pool | default({}) | length == 0 or storage_test_pool.state == 'present') }}"

- name: Run test verify for storage_test_volume_subset
  include_tasks: test-verify-volume-{{ storage_test_volume_subset }}.yml
  loop: "{{ _storage_volume_tests }}"
  loop_control:
    loop_var: storage_test_volume_subset

- name: Clean up facts
  set_fact:
    _storage_test_volume_present:
